Package groovy.util

## Class AntBuilder

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - groovy.util.BuilderSupport
    - - groovy.util.AntBuilder

- All Implemented Interfaces:
    `GroovyObject`

      @Deprecated
      public class AntBuilder
      extends BuilderSupport

  Deprecated.
  Allows Ant tasks to be used with a Groovy builder-style markup. Requires that {{ant.jar}} is on your classpath which will happen automatically if you are using the Groovy distribution but will be up to you to organize if you are embedding Groovy. If you wish to use the optional tasks you will need to add one or more additional jars from the ant distribution to your classpath - see the library dependencies for more details.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AntBuilder()` | Deprecated.
    `AntBuilder​(org.apache.tools.ant.Project project)` | Deprecated.
    `AntBuilder​(org.apache.tools.ant.Project project, org.apache.tools.ant.Target owningTarget)` | Deprecated.
    `AntBuilder​(org.apache.tools.ant.Task parentTask)` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected static Attributes` | `buildAttributes​(Map attributes)` | Deprecated. Builds an `Attributes` from a `Map`
    `protected Object` | `createNode​(Object tagName)` | Deprecated.
    `protected Object` | `createNode​(Object name, Object value)` | Deprecated.
    `protected Object` | `createNode​(Object name, Map attributes)` | Deprecated.
    `protected Object` | `createNode​(Object name, Map attributes, Object value)` | Deprecated.
    `protected static org.apache.tools.ant.Project` | `createProject()` | Deprecated.
    `protected Object` | `doInvokeMethod​(String methodName, Object name, Object args)` | Deprecated. We don't want to return the node as created in `createNode(Object, Map, Object)` but the one made ready by `nodeCompleted(Object, Object)`
    `org.apache.tools.ant.Project` | `getAntProject()` | Deprecated.
    `org.apache.tools.ant.helper.AntXMLContext` | `getAntXmlContext()` | Deprecated. Gets the xml context of Ant used while creating tasks
    `org.apache.tools.ant.Project` | `getProject()` | Deprecated. # Gets the Ant project in which the tasks are executed
    `boolean` | `isSaveStreams()` | Deprecated. Whether stdin, stdout, stderr streams are saved.
    `protected void` | `nodeCompleted​(Object parent, Object node)` | Deprecated. Determines, when the ANT Task that is represented by the "node" should perform.
    `protected void` | `setParent​(Object parent, Object child)` | Deprecated.
    `void` | `setSaveStreams​(boolean saveStreams)` | Deprecated. Indicates that we save stdin, stdout, stderr and replace them while AntBuilder is executing tasks with streams that funnel the normal streams into Ant's logs.
    `protected void` | `setText​(Object task, String text)` | Deprecated.

    - ### Methods inherited from class groovy.util.BuilderSupport

      `getCurrent, getName, invokeMethod, invokeMethod, postNodeCompletion, setClosureDelegate, setCurrent`

    - ### Methods inherited from class groovy.lang.GroovyObjectSupport

      `getMetaClass, setMetaClass`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface groovy.lang.GroovyObject

      `getProperty, setProperty`

- - ### Constructor Detail

    - #### AntBuilder

          public AntBuilder()

      Deprecated.

    - #### AntBuilder

          public AntBuilder​(org.apache.tools.ant.Project project)

      Deprecated.

    - #### AntBuilder

          public AntBuilder​(org.apache.tools.ant.Project project,
                            org.apache.tools.ant.Target owningTarget)

      Deprecated.

    - #### AntBuilder

          public AntBuilder​(org.apache.tools.ant.Task parentTask)

      Deprecated.

  - ### Method Detail

    - #### getProject

          public org.apache.tools.ant.Project getProject()

      Deprecated.
      # Gets the Ant project in which the tasks are executed
      Returns:
        the project

    - #### getAntXmlContext

          public org.apache.tools.ant.helper.AntXMLContext getAntXmlContext()

      Deprecated.
      Gets the xml context of Ant used while creating tasks
      Returns:
        the Ant xml context

    - #### isSaveStreams

          public boolean isSaveStreams()

      Deprecated.
      Whether stdin, stdout, stderr streams are saved.
      Returns:
        true if we are saving streams
      See Also:
        `setSaveStreams(boolean)`

    - #### setSaveStreams

          public void setSaveStreams​(boolean saveStreams)

      Deprecated.
      Indicates that we save stdin, stdout, stderr and replace them while AntBuilder is executing tasks with streams that funnel the normal streams into Ant's logs.
      Parameters:
        `saveStreams` - set to false to disable this behavior

    - #### createProject

          protected static org.apache.tools.ant.Project createProject()

      Deprecated.
      Returns:
        Factory method to create new Project instances

    - #### setParent

          protected void setParent​(Object parent,
                                   Object child)

      Deprecated.
      Specified by:
        `setParent` in class `BuilderSupport`

    - #### doInvokeMethod

          protected Object doInvokeMethod​(String methodName,
                                          Object name,
                                          Object args)

      Deprecated.
      We don't want to return the node as created in `createNode(Object, Map, Object)` but the one made ready by `nodeCompleted(Object, Object)`
      Overrides:
        `doInvokeMethod` in class `BuilderSupport`
      See Also:
        `BuilderSupport.doInvokeMethod(java.lang.String, java.lang.Object, java.lang.Object)`

    - #### nodeCompleted

          protected void nodeCompleted​(Object parent,
                                       Object node)

      Deprecated.
      Determines, when the ANT Task that is represented by the "node" should perform. Node must be an ANT Task or no "perform" is called. If node is an ANT Task, it performs right after complete construction. If node is nested in a TaskContainer, calling "perform" is delegated to that TaskContainer.
      Overrides:
        `nodeCompleted` in class `BuilderSupport`
      Parameters:
        `parent` - note: null when node is root
        `node` - the node that now has all its children applied

    - #### createNode

          protected Object createNode​(Object tagName)

      Deprecated.
      Specified by:
        `createNode` in class `BuilderSupport`

    - #### createNode

          protected Object createNode​(Object name,
                                      Object value)

      Deprecated.
      Specified by:
        `createNode` in class `BuilderSupport`

    - #### createNode

          protected Object createNode​(Object name,
                                      Map attributes,
                                      Object value)

      Deprecated.
      Specified by:
        `createNode` in class `BuilderSupport`

    - #### buildAttributes

          protected static Attributes buildAttributes​(Map attributes)

      Deprecated.
      Builds an `Attributes` from a `Map`
      Parameters:
        `attributes` - the attributes to wrap
      Returns:
        the wrapped attributes

    - #### createNode

          protected Object createNode​(Object name,
                                      Map attributes)

      Deprecated.
      Specified by:
        `createNode` in class `BuilderSupport`

    - #### setText

          protected void setText​(Object task,
                                 String text)

      Deprecated.

    - #### getAntProject

          public org.apache.tools.ant.Project getAntProject()

      Deprecated.